Package org.apache.sysds.runtime.frame.data.compress

# Class ArrayCompressionStatistics

java.lang.Object
org.apache.sysds.runtime.frame.data.compress.ArrayCompressionStatistics

public class ArrayCompressionStatistics extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final ArrayFactory.FrameArrayType`
`bestType`
`final int`
`bytePerValue`
`final long`
`compressedSizeEstimate`
`final boolean`
`containsNull`
`final int`
`nUnique`
`final long`
`originalSize`
`final boolean`
`sampledAllRows`
`final boolean`
`shouldCompress`
`final Types.ValueType`
`valueType`

## Constructor Summary

Constructors
Constructor
Description
`ArrayCompressionStatistics(int bytePerValue, int nUnique, boolean shouldCompress, Types.ValueType valueType, boolean containsNull, ArrayFactory.FrameArrayType bestType, long originalSize, long compressedSizeEstimate, boolean sampledAllRows)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### originalSize

public final long originalSize

### compressedSizeEstimate

public final long compressedSizeEstimate

### shouldCompress

public final boolean shouldCompress

### valueType

public final Types.ValueType valueType

### containsNull

public final boolean containsNull

### sampledAllRows

public final boolean sampledAllRows

### bestType

public final ArrayFactory.FrameArrayType bestType

### bytePerValue

public final int bytePerValue

### nUnique

public final int nUnique

## Constructor Details

### ArrayCompressionStatistics

public ArrayCompressionStatistics(int bytePerValue, int nUnique, boolean shouldCompress, Types.ValueType valueType, boolean containsNull, ArrayFactory.FrameArrayType bestType, long originalSize, long compressedSizeEstimate, boolean sampledAllRows)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`